# system-config-rootpassword.py - kickoff script for rootpassword.py
#
# Brent Fox <bfox@redhat.com>
# Damien Durand <splinux@fedoraproject.org>
#
# Copyright 2002, 2007 Red Hat, Inc. and Fedora Usability
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import signal
import sys
import getopt

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)

##
## I18N
## 
import gettext
t = gettext.translation("system-config-rootpassword", fallback=True)
_ = t.gettext

def useTextMode():
	import rootpassword_tui
	app = rootpassword_tui.childWindow()

def useGuiMode():
	import passwordDialog
	app = passwordDialog.childWindow()
	app.stand_alone()

def useCliMode(kbdtype, help):
	sys.stderr.write(_("Usage: system-config-rootpassword [--text]\n"))
	sys.exit(0)

opts, kbdtype = getopt.getopt(sys.argv[1:], "d:h", ["text", "help"])
help = None

for(opt, value) in opts:
	if opt == "--help":
		help = 1
		useCliMode(kbdtype, help)

if "--text" in sys.argv or "-t" in sys.argv:
	useTextMode()
else:
	try:
		useGuiMode()
	except:
		print(_("Starting graphical mode failed.  Starting text mode instead."))
		import time
		time.sleep(2)
		useTextMode()
